## r-bioc-shortread 1.62.0

=== DESCRIPTION ===
Package: ShortRead
Type: Package
Title: FASTQ input and manipulation
Version: 1.62.0
Authors@R: c(
        person("Bioconductor Package Maintainer",
                email = "maintainer@bioconductor.org", role = "cre"),
        person("Martin", "Morgan", role = "aut"),
        person("Michael", "Lawrence", role = "ctb"),
        person("Simon", "Anders", role = "ctb"),
        person("Rohit", "Satyam", role = "ctb",
                comment = "Converted Overview.Rnw vignette from Sweave to RMarkdown / HTML."),
	person("J", "Wokaty", role = "ctb")
    )
Description: This package implements sampling, iteration, and input of
        FASTQ files. The package includes functions for filtering and
        trimming reads, and for generating a quality assessment report.
        Data are represented as DNAStringSet-derived objects, and
        easily manipulated for a diversity of purposes.  The package
        also contains legacy support for early single-end, ungapped
        alignment formats.
License: Artistic-2.0
LazyLoad: yes
Depends: BiocGenerics (>= 0.23.3), BiocParallel, Biostrings (>=
        2.47.6), Rsamtools (>= 1.31.2), GenomicAlignments (>= 1.15.6)
Imports: Biobase, S4Vectors (>= 0.17.25), IRanges (>= 2.13.12),
        GenomeInfoDb (>= 1.15.2), GenomicRanges (>= 1.31.8), pwalign,
        hwriter, methods, zlibbioc, lattice, latticeExtra,
Suggests: BiocStyle, RUnit, biomaRt, GenomicFeatures, yeastNagalakshmi,
        knitr
LinkingTo: S4Vectors, IRanges, XVector, Biostrings, Rhtslib, zlibbioc
biocViews: DataImport, Sequencing, QualityControl
URL: https://bioconductor.org/packages/ShortRead,
        https://github.com/Bioconductor/ShortRead,
        https://support.bioconductor.org/tag/ShortRead
BugReports: https://github.com/Bioconductor/ShortRead/issues
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/ShortRead
git_branch: RELEASE_3_19
git_last_commit: 1456ab9
git_last_commit_date: 2024-04-30
Repository: Bioconductor 3.19
Date/Publication: 2024-04-30
NeedsCompilation: yes
Packaged: 2024-05-01 06:02:21 UTC; biocbuild
Author: Bioconductor Package Maintainer [cre],
  Martin Morgan [aut],
  Michael Lawrence [ctb],
  Simon Anders [ctb],
  Rohit Satyam [ctb] (Converted Overview.Rnw vignette from Sweave to
    RMarkdown / HTML.),
  J Wokaty [ctb]
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-shortread (1.62.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 11:48:58 +0200

r-bioc-shortread (1.62.0-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 12:17:21 +0200

r-bioc-shortread (1.62.0-1~0exp) experimental; urgency=medium

  * Team upload
  * New upstream version. Closes: #1071350
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 21:13:33 +0200

=== debian/control ===
Source: r-bioc-shortread
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               architecture-is-64-bit,
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.50.0),
               r-bioc-biocparallel (>= 1.38.0),
               r-bioc-biostrings (>= 2.72.1),
               r-bioc-rsamtools (>= 2.20.0),
               r-bioc-genomicalignments (>= 1.40.0),
               r-bioc-biobase (>= 2.64.0),
               r-bioc-s4vectors (>= 0.42.1),
               r-bioc-iranges (>= 2.38.1),
               r-bioc-genomeinfodb (>= 1.40.1),
               r-bioc-genomicranges (>= 1.56.1),
               r-cran-hwriter,
               r-bioc-zlibbioc (>= 1.50.0),
               r-cran-lattice,
               r-cran-latticeextra,
               r-bioc-xvector (>= 0.44.0),
               r-bioc-rhtslib (>= 3.0.0),
               r-bioc-pwalign (>= 1.0.0-2~0exp1)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-shortread
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-shortread.git
Homepage: https://bioconductor.org/packages/ShortRead/
Rules-Requires-Root: no

Package: r-bioc-shortread
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         r-bioc-biocgenerics (>= 0.50.0),
         r-bioc-biocparallel (>= 1.38.0),
         r-bioc-biostrings (>= 2.72.1),
         r-bioc-rsamtools (>= 2.20.0),
         r-bioc-genomicalignments (>= 1.40.0),
         r-bioc-biobase (>= 2.64.0),
         r-bioc-s4vectors (>= 0.42.1),
         r-bioc-iranges (>= 2.38.1),
         r-bioc-genomeinfodb (>= 1.40.1),
         r-bioc-genomicranges (>= 1.56.1),
         r-bioc-zlibbioc (>= 1.50.0),
         r-bioc-xvector (>= 0.44.0),
         r-bioc-rhtslib (>= 3.0.0),
         r-bioc-pwalign (>= 1.0.0-2~0exp1)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-biocstyle (>= 2.32.1),
          r-bioc-biomart (>= 2.60.1),
          r-bioc-genomicfeatures (>= 1.56.0)
Description: GNU R classes and methods for high-throughput short-read sequencing data
 This BioConductor module is a package for input, quality assessment,
 manipulation and output of high-throughput sequencing data. ShortRead is
 provided in the R and Bioconductor environments, allowing ready access
 to additional facilities for advanced statistical analysis, data
 transformation, visualization and integration with diverse genomic
 resources.

## r-bioc-shortread 1.64.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ShortRead
 Type: Package
 Title: FASTQ input and manipulation
-Version: 1.62.0
+Version: 1.64.0
 Authors@R: c(
         person("Bioconductor Package Maintainer",
                 email = "maintainer@bioconductor.org", role = "cre"),
@@ -25,10 +25,10 @@
         2.47.6), Rsamtools (>= 1.31.2), GenomicAlignments (>= 1.15.6)
 Imports: Biobase, S4Vectors (>= 0.17.25), IRanges (>= 2.13.12),
         GenomeInfoDb (>= 1.15.2), GenomicRanges (>= 1.31.8), pwalign,
-        hwriter, methods, zlibbioc, lattice, latticeExtra,
+        hwriter, methods, lattice, latticeExtra,
 Suggests: BiocStyle, RUnit, biomaRt, GenomicFeatures, yeastNagalakshmi,
         knitr
-LinkingTo: S4Vectors, IRanges, XVector, Biostrings, Rhtslib, zlibbioc
+LinkingTo: S4Vectors, IRanges, XVector, Biostrings, Rhtslib
 biocViews: DataImport, Sequencing, QualityControl
 URL: https://bioconductor.org/packages/ShortRead,
         https://github.com/Bioconductor/ShortRead,
@@ -36,13 +36,13 @@
 BugReports: https://github.com/Bioconductor/ShortRead/issues
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/ShortRead
-git_branch: RELEASE_3_19
-git_last_commit: 1456ab9
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 88fd3ab
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2024-05-01 06:02:21 UTC; biocbuild
+Packaged: 2024-10-30 02:51:52 UTC; biocbuild
 Author: Bioconductor Package Maintainer [cre],
   Martin Morgan [aut],
   Michael Lawrence [ctb],

=== debian/changelog ===
r-bioc-shortread (1.64.0-3) unstable; urgency=medium

  * Team upload.
  * Skip autopkgtests on riscv64.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 27 Jan 2025 13:33:39 +0100

r-bioc-shortread (1.64.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 15:30:02 +0100

r-bioc-shortread (1.64.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  Set upstream metadata fields: Archive.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Nov 2024 11:33:42 +0100

=== debian/control ===
Source: r-bioc-shortread
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics,
               r-bioc-biocparallel,
               r-bioc-biostrings,
               r-bioc-rsamtools,
               r-bioc-genomicalignments,
               r-bioc-biobase,
               r-bioc-s4vectors,
               r-bioc-iranges,
               r-bioc-genomeinfodb,
               r-bioc-genomicranges,
               r-bioc-pwalign,
               r-cran-hwriter,
               r-cran-lattice,
               r-cran-latticeextra,
               r-bioc-xvector,
               r-bioc-rhtslib,
               architecture-is-64-bit
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-shortread
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-shortread.git
Homepage: https://bioconductor.org/packages/ShortRead/
Rules-Requires-Root: no

Package: r-bioc-shortread
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R classes and methods for high-throughput short-read sequencing data
 This BioConductor module is a package for input, quality assessment,
 manipulation and output of high-throughput sequencing data. ShortRead is
 provided in the R and Bioconductor environments, allowing ready access
 to additional facilities for advanced statistical analysis, data
 transformation, visualization and integration with diverse genomic
 resources.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem R

# On non-intel architectures the readPrb tests are failing (see bug #980082)
ifneq (,$(filter $(DEB_HOST_ARCH), arm64 armel armhf ppc64el s390x))
override_dh_install:
	dh_install
	find debian -name test_readPrb.R -delete
	echo "***** DELETED test_readPrb.R ********"
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -f configure config.log config.status
